-- モーションの経過フレーム数
my_frame2 = 0
enemy_frame2 = 0
is_damaged = false

need_guard = {}
local i
for i=0, 19 do
  need_guard[i] = {}
  need_guard[i]['dis'] = {}
  need_guard[i]['frame'] = {}
end

previous = {}
previous['my_hp'] = my_hp
previous['enemy_hp'] = enemy_hp
previous['my_act'] = my_act
previous['enemy_act'] = enemy_act

vector = {}
vector['my_hp'] = 0
vector['enemy_hp'] = 0
vector['my_act'] = 0
vector['enemy_act'] = 0
